<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Kursplanung\KursUebersicht;

use Kufer\Web\KuferTools\Utils\Dozent\KursBearbeitenPlanungUtils;

class KursUebersichtPresenter extends \Kufer\Web\KuferTools\Basis\KursUebersicht\KursUebersichtPresenter
{
  protected function getJsFilesSrcAryWeitere(): array
  {
    $jsFiles = parent::getJsFilesSrcAryWeitere();
    $jsFiles[] = $this->getJsFileFromSys('doz_kursplanung.js');

    return $jsFiles;
  }

  protected function getPanelTitleLink($kurs)
  {
    if (KursBearbeitenPlanungUtils::isKursBearbeitbar(
      $this->useCaseResponse->toolSettings->kursstatusKursIstBearbeitbar,
      $this->useCaseResponse->toolSettings->kursstatusKursIstNichtBearbeitbar,
      $this->useCaseResponse->toolSettings->kursstatusKursInPlanung,
      $kurs
    )) {
      return 'index.php?tool_id=3&action=kursbearbeiten&knr=' . urlencode($kurs->id);
    } elseif (KursBearbeitenPlanungUtils::isKursInPlanung(
      $this->useCaseResponse->toolSettings->kursstatusKursInPlanung,
      $kurs
    )) {
      return 'index.php?tool_id=3&action=kursbearbeitenplanung&knr=' . urlencode($kurs->id);
    } else {
      return '';
    }
  }

  
  protected function getPanelLinkSymbol()
  {
    return '';
  }

  protected function getPanelLinkText()
  {
    return '';
  }

  protected function getFehlermeldung()
  {
    if ($this->useCaseResponse->kursNichtBearbeitbar) {
      return 'Sie können den Kurs nicht mehr bearbeiten, da dieser bereits fertig geplant ist.';
    }

    return '';
  }
}